Переполнение буфера в DynaZip

Дата публикации:
26.07.2006
Дата изменения:
14.04.2009
Всего просмотров:
1828
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
DynaZip Max 5.x
DynaZip Max Secure 6.x
Уязвимые версии:
DynaZip Max 5.0.0.7, возможно более ранние версии
DynaZip Max Secure 6.0.0.4, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки при обработке границ данных в библиотеках dzip32.dll / dzips32.dll во время восстановления архивов. Удаленный пользователь может с помощью специально сформированного ZIP архива (содержащего файл с длиной имени более 2048 байт) вызвать переполнение стека и выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за ошибки при обработке границ данных во время добавления и обновления файлов в ZIP архивах. Удаленный пользователь может создать специально сформированный ZIP архив, вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.innermedia.com

Решение: Установите последнюю версию (DynaZip Max 5.0.0.8 или DynaZip Max Secure 6.0.0.5) с сайта производителя.

Ссылки: DynaZip DZIP32.DLL/DZIPS32.DLL Buffer Overflow Vulnerabilities

или введите имя

CAPTCHA